Package org.gradle.platform.base

# Interface DependencySpec

All Known Subinterfaces:
  `LibraryBinaryDependencySpec`, `ModuleDependencySpec`, `ProjectDependencySpec`

@Incubating public interface DependencySpec
A dependency onto a Gradle component.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  The human friendly name of this dependency.

- ## Method Details

  - ### getDisplayName

    String getDisplayName()
    The human friendly name of this dependency.
    Returns:
      human friendly name